namespace Wizard;

public abstract class AIMove
{
	public AIOperationType Type { get; private set; }

	protected AIMove(AIOperationType type)
	{
		Type = type;
	}

	public abstract void RunOperation(BattleManagerBase mgr, bool isPlayer);
}
